<?php
/*
Template Name:搞笑聚合页面
*/
?>
<?php get_header(); ?>
<div id="main">     
    <div id="page-box">
		<?php if(have_posts()) : while(have_posts()) : the_post() ?>
		<div id="htit"><h2><?php the_title(); ?></h2></div>
		<?php the_content(); ?>
		<div id="rsscon">
			<div class=rss_box><div class="rss_tit"><a href="http://www.fanjian.net/">犯贱志</a></div>
		<ul>
		<?php   
require_once (ABSPATH . WPINC . '/class-feed.php');    
$feed = new SimplePie();    
$feed->set_feed_url('http://www.fanjian.net/rss.xml');    
$feed->enable_order_by_date(false);    
$feed->set_cache_location($_SERVER['DOCUMENT_ROOT'] . '/cache');    
$feed->init();    
$feed->handle_content_type();    
?>
<?php foreach ($feed->get_items(0,10) as $item): ?>    
<li><a href="<?php echo $item->get_permalink()?>">
<?php echo $item->get_title()?></a>     
<?php endforeach; ?>    
</li>
		</ul></div>
<div class=rss_box><div class="rss_tit"><a href="http://fun4hi.com/">天朝娱乐</a></div>
		<ul>
		<?php   
require_once (ABSPATH . WPINC . '/class-feed.php');    
$feed = new SimplePie();    
$feed->set_feed_url('http://fun4hi.com/feed');    
$feed->enable_order_by_date(false);    
$feed->set_cache_location($_SERVER['DOCUMENT_ROOT'] . '/cache');    
$feed->init();    
$feed->handle_content_type();    
?>
<?php foreach ($feed->get_items(0,10) as $item): ?>    
<li><a href="<?php echo $item->get_permalink()?>">
<?php echo $item->get_title()?></a>     
<?php endforeach; ?>    
</li>
</ul></div>
<div class=rss_box><div class="rss_tit"><a href="http://hxyl.net/">河蟹娱乐</a></div>
		<ul>
		<?php   
require_once (ABSPATH . WPINC . '/class-feed.php');    
$feed = new SimplePie();    
$feed->set_feed_url('http://feed.feedsky.com/kisshi');    
$feed->enable_order_by_date(false);    
$feed->set_cache_location($_SERVER['DOCUMENT_ROOT'] . '/cache');    
$feed->init();    
$feed->handle_content_type();    
?>
<?php foreach ($feed->get_items(0,10) as $item): ?>    
<li><a href="<?php echo $item->get_permalink()?>">
<?php echo $item->get_title()?></a>     
<?php endforeach; ?>    
</li>
</ul></div>
<div class=rss_box><div class="rss_tit"><a href="http://www.laifu.org/">来福岛</a></div>
		<ul>
		<?php   
require_once (ABSPATH . WPINC . '/class-feed.php');    
$feed = new SimplePie();    
$feed->set_feed_url('http://www.laifu.org/rssfeed.xml');    
$feed->enable_order_by_date(false);    
$feed->set_cache_location($_SERVER['DOCUMENT_ROOT'] . '/cache');    
$feed->init();    
$feed->handle_content_type();    
?>
<?php foreach ($feed->get_items(0,10) as $item): ?>    
<li><a href="<?php echo $item->get_permalink()?>">
<?php echo $item->get_title()?></a>     
<?php endforeach; ?>    
</li>
		</ul></div>
<div class=rss_box><div class="rss_tit"><a href="http://www.u148.net/">有意思吧</a></div>
		<ul>
		<?php   
require_once (ABSPATH . WPINC . '/class-feed.php');    
$feed = new SimplePie();    
$feed->set_feed_url('http://feed.u148.net');    
$feed->enable_order_by_date(false);    
$feed->set_cache_location($_SERVER['DOCUMENT_ROOT'] . '/cache');    
$feed->init();    
$feed->handle_content_type();    
?>
<?php foreach ($feed->get_items(0,10) as $item): ?>    
<li><a href="<?php echo $item->get_permalink()?>">
<?php echo $item->get_title()?></a>     
<?php endforeach; ?>    
</li>
</ul></div>
<div class=rss_box><div class="rss_tit"><a href="http://juetuzhi.net/">掘图志</a></div>
		<ul>
		<?php   
require_once (ABSPATH . WPINC . '/class-feed.php');    
$feed = new SimplePie();    
$feed->set_feed_url('http://feeds.juetuzhi.net/');    
$feed->enable_order_by_date(false);    
$feed->set_cache_location($_SERVER['DOCUMENT_ROOT'] . '/cache');    
$feed->init();    
$feed->handle_content_type();    
?>
<?php foreach ($feed->get_items(0,10) as $item): ?>    
<li><a href="<?php echo $item->get_permalink()?>">
<?php echo $item->get_title()?></a>     
<?php endforeach; ?>    
</li>
</ul></div>
		</div>
	<?php endwhile; endif; ?>
	<div id="tj"><?php the_views(); ?></div>
	<div id="qr"><img src="https://chart.googleapis.com/chart?cht=qr&chs=76x76&choe=UTF-8&chld=L|0&chl=<?php the_permalink() ?>"><span>本页二维码</span></div>
	</div>
</div>
<?php get_footer(); ?>